For the complete documentation index, see llms.txt. This page is also available as Markdown.

UnLinkInstantCard

To delink a card from its linked account, you can send a PUT request to the following endpoint:

PUT /api/Card/v{{version}}/Interswitch/UnlinkInstantCard

The request body should contain the cardId of the card record to unlink and the accountNumber currently linked to the card.

This endpoint streamlines the process of removing the association between a card and an account, offering a single call to reverse what LinkInstantCard set up.

This can be used only for Instant Cards.

Headers

Name
Value

Content-Type*

application/json

Request-Reference

unique_string

Body

Name
Data Type
Required
Description

cardId

string

Id of the card record to unlink.

accountNumber

string

Account number linked to the card which is to be unlinked.

Here is an example request and response with a sample payload sent to the endpoint in Curl format.

Sample Request
curl --location -g --request PUT '{{baseUrl}}/api/Card/v{{version}}/Interswitch/UnLinkInstantCard' \
--header 'Content-Type: application/json' \
--data '{
  "cardId": "6099f04c-b963-4919-35a4-104a42eeell8",
  "accountNumber": "1200087103"
}'
Response: 200
{
  "status": true,
  "message": "Operation Successful"
}

Last updated